% function eval_cordic(x0,y0,z0, mode)
function eval_cordic(x0,y0,z0, mode)

if (mode == 'rot')
    Xn = x0*cos(z0) - y0*sin(z0)
    Yn = y0*cos(z0) + x0*sin(z0)
else    
    Xn = sqrt(x0^2 + y0^2)
    Yn = z0 + atan(y0/x0)
end;